# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlWin32/Win32Window.hpp File Reference

`#include "vl/OpenGLContext.hpp"`
`#include "vlWin32/Win32Context.hpp"`
`#include <map>`

## Classes
class | vlWin32::Win32Window
| The Win32Window class is a Win32Context that can be used as a top or child window. More...
## Namespaces
namespace | vlWin32
| The Win32 bindings namespace.

## Functions
int | vlWin32::messageLoop ()
void | vlWin32::peekMessage (MSG &msg)
void | vlWin32::dispatchUpdate ()
void | vlWin32::translateKeyEvent (WPARAM wParam, LPARAM lParam, unsigned short &unicode_out, vl::EKey &key_out)

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.